const dataOptions = (function() {
	var data = {}
	return {
		setData(key, val) {
			data[key] = val
		},
		getData(key) {
			return data[key]
		},
		removeData(key) {
			delete data[key]
		},
		disposable(key) {
			try {
				return data[key]
			} finally {
				delete data[key]
			}
		},
	}
})()

export const setData = dataOptions.setData
export const getData = dataOptions.getData
export const removeData = dataOptions.removeData
export const disposable = dataOptions.disposable
